## Mark a payment as refunded

### cURL

```bash
curl --request POST \
  --url https://api.pay.walletconnect.com/v1/refunds \
  --header 'Api-Key: <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'Merchant-Id: <merchant-id>' \
  --data '
{
  "paymentId": "<string>"
}
'
```

### Python

```python
import requests

url = "https://api.pay.walletconnect.com/v1/refunds"

payload = { "paymentId": "<string>" }
headers = {
    "Merchant-Id": "<merchant-id>",
    "Api-Key": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

### JavaScript (Fetch)

```javascript
const options = {
  method: 'POST',
  headers: {
    'Merchant-Id': '<merchant-id>',
    'Api-Key': '<api-key>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({paymentId: '<string>'})
};

fetch('https://api.pay.walletconnect.com/v1/refunds', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```php
$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api.pay.walletconnect.com/v1/refunds",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "POST",
  CURLOPT_POSTFIELDS => json_encode([
    'paymentId' => '<string>'
  ]),
  CURLOPT_HTTPHEADER => [
    "Api-Key: <api-key>",
    "Content-Type: application/json",
    "Merchant-Id: <merchant-id>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

### Go

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

url := "https://api.pay.walletconnect.com/v1/refunds"

payload := strings.NewReader("{\n  \"paymentId\": \"<string>\"}\")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("Merchant-Id", "<merchant-id>")
	req.Header.Add("Api-Key", "<api-key>")
	req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

### Unirest (Java)

```java
HttpResponse<String> response = Unirest.post("https://api.pay.walletconnect.com/v1/refunds")
  .header("Merchant-Id", "<merchant-id>")
  .header("Api-Key", "<api-key>")
  .header("Content-Type", "application/json")
  .body("{\n  \"paymentId\": \"<string>\"}\")
  .asString();
```

### Ruby

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.pay.walletconnect.com/v1/refunds")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Merchant-Id"] = '<merchant-id>'
request["Api-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"paymentId\": \"<string>\"}\"

response = http.request(request)
puts response.read_body
```

### Example

```json
{
  "paymentId": "pay_a1a2ecc101KGF210FP7PN3BK08PZARS1CZ"
}
```

### Authorizations

| Parameter  | Type   | Location | Required |  
|------------|--------|----------|----------|
| Api-Key    | string | header   | required |
| Merchant-Id| string | header   | required |

### Headers

| Name      | Type   | Required | Description                          |  
|-----------|--------|----------|--------------------------------------|
| Api-Key   | string | yes      | API Key                                 |
| Merchant-Id| string | yes      | Merchant identifier. Example: `"acme-store-1"` |

### Body

| Name      | Type   | Required | Description                                                                                     |
|-----------|--------|----------|-------------------------------------------------------------------------------------------------|
| paymentId | string | yes      | Payment ID to refund. Required string length: `1 - 64`. Pattern: `^pay_[A-Za-z0-9]+$`. Example: `"pay_a1a2ecc101KGF210FP7PN3BK08PZARS1CZ"` |

### Response

| Status Code | Content Type     | Description                        |
|-------------|------------------|------------------------------------|
| 200         | application/json | Payment marked as refunded           |

### Response Example

```json
{
  "paymentId": "pay_a1a2ecc101KGF210FP7PN3BK08PZARS1CZ"
}
```
